Bug 809143 - [abrt] torcs-1.3.1-4.fc15: __GI_raise: Process /usr/lib64/torcs/torcs-bin was killed by signal 6 (SIGABRT)
[abrt] torcs-1.3.1-4.fc15: __GI_raise: Process /usr/lib64/torcs/torcs-bin was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: torcs (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
abrt_hash:a6e30ad29210591377822a3feaa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 11:26 EDT by bugreports
Modified: 2013-02-13 11:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:33:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (4.83 KB, text/plain)
2012-04-02 11:26 EDT, bugreports
no flags Details
File: maps (20.81 KB, text/plain)
2012-04-02 11:26 EDT, bugreports
no flags Details
File: backtrace (18.57 KB, text/plain)
2012-04-02 11:26 EDT, bugreports
no flags Details

  None (edit)
Description bugreports 2012-04-02 11:26:08 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/torcs/torcs-bin -l /home/micah/.torcs -L /usr/lib64/torcs -D /usr/share/games/torcs
comment:         At first I set up the controls and graphics, 16bit 1920x1080, u=shiftup trans=manual i=shiftdown j=neutral k=reverse driver="Micah" Light...something=p  ; then, I started a quick race and everything was working fine, but the camera was switching between the lead car and my car, so I could not see where I was going.  I pressed escape, and restarted the race, thinking to try the light...something ("p") key, or the "a" key which I couldn't remember the name for, but I supposed it could have something to do with the camera.  When the race reached the loading stage within several status lines after loading the players/cars, the screne returned to my desktop with a crash report.  I restarted the game, hoping it might work this time, since it worked once, and it crashed at the same point.  All my settings were still intact, so I suppose the settings are saved to the drive before game-play.
crash_function: __GI_raise
executable:     /usr/lib64/torcs/torcs-bin
kernel:         3.3.0-4.fc16.x86_64
pid:            7787
pwd:            /usr/share/games/torcs
reason:         Process /usr/lib64/torcs/torcs-bin was killed by signal 6 (SIGABRT)
time:           Mon 02 Apr 2012 08:09:56 AM PDT
uid:            1000
username:       micah

backtrace:      Text file, 19017 bytes
dso_list:       Text file, 4945 bytes
maps:           Text file, 21308 bytes

build_ids:
:7343d35696ce251688ece0a26e457e61ca805cfd
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:654d0f9d2ad4ed71af898ad175b1a76fb2566b97
:9405535ef32ff9ff8c9a9c2e447cee59cfe5e330
:9a2ec15f0a91c0a4bd87f3f8b0f859cc4092a0f2
:50e0538b22a0baf6f774534e80192f74c75ab1f5
:d0c6e13f00a20952a72a945c929efb175fd760e3
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:2f2eedda06276c259d7b1c0daa321a8370c92e18
:b58a6af19a5992567b8ea36043c155472c0ee157
:fd55f21c7db0485ce4e6b2253ed5713ee9dbd71e
:638db099ff5fb986d1a092629d1bb1dca5be4904
:10f2a119e5b32c5eb317bbdc0fe77b7429fc8132
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:-
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:173e6aac0ec05e4fb826492850fd5200227cb962
:b76e6e6402d47402ae9dd7439e27953ef8884d12
:47bd32a5dbe3ef1664d32d16fe630ce67f904a5d
:25b834f4c4dc534708635ff1064e2fe02a366a62
:fadff6457f7236e0b64bd0c1eca703ba44b3328b
:c7a36a8603f2ab43a983f2aebfbfc69d1e6545d2
:0911ea7c180d733724f89037b8e8a34e64024aec
:30ab1d53a971042667240e753dfd2bf0c3ce5ba6
:a40f5762f06c1c9a6f1b6dabff200aa756a5c8ba
:40dc5e32f96a3d6d6728301becc415c9af4a68bb
:6d771702cca0f77e3b43abef0037f8c767ffeda8
:1e7b878764fb457e12752a3ba9d9f8dbb26cf008
:fcfb00ad8f03a61d2df7d5ae36502fb0d20f2588
:4c842320387ff7f6f91b7842b223c16518be909f
:1fb0f1fe730d18e722c1826ee47a5c8cfdf05792
:71abd4ec83f255a0767af3be2dda73455bbc2ad9
:75eaece6e0d1e075520cdfad5c398fdab4370846
:6a38e2f67e30131152c0edc7fb1df52cc28064f7
:e5f969ecb31759b46a9c4795214206d21d0421a2
:78e4a28c2e299e805814f3ba343667876082bf2d
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:040f78c63e49df93936f710287bdc74ae83111c0
:99c079e52fde6173f62eb47c1352c29111e20a7e
:491d03e92b3dfeaf8e5759ff7cb2a39eb5dcc173
:f5cc290ec82a817bb7f3cce7489cbd62469238a4
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:2c822953f9ecdb8ac2dab4b04d184de44fcecc09
:2670385f49fb9f120f7cf843f211e3c620da8632
:f9803c7a225e03c78738582d1beead5420f93b12
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:67758ed8be07b8c95217c0b41961995d465e4a16
:11e343f1da2a0c5c61502657909b8c4fe5e21b72

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=125
:SSH_AGENT_PID=7202
:KDE_MULTIHEAD=false
:HOSTNAME=kay.anne
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=kay.anne;1333379377;28036;7290_TIME422837694
:HISTSIZE=1000
:XDG_SESSION_COOKIE=eacaba6db1f319a34988fb760000000d-1333378805.493586-1907239402
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/micah/.gtkrc-2.0:/home/micah/.gtkrc-2.0-kde4:/home/micah/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/micah/.gtkrc:/home/micah/.kde/share/config/gtkrc
:OLDPWD=/home/micah/Documents
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-zUDyV7
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=micah
:LD_LIBRARY_PATH=/usr/lib64/torcs/lib:
:SSH_AUTH_SOCK=/tmp/ssh-siXvGsFn7032/agent.7032
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/7275,unix/unix:/tmp/.ICE-unix/7275
:MAIL=/var/spool/mail/micah
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/home/micah/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/micah/.local/bin:/home/micah/bin
:QT_IM_MODULE=xim
:PWD=/usr/share/games/torcs
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=7030
:LANG=en_US.UTF-8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SHLVL=3
:XDG_SEAT=seat0
:HOME=/home/micah
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:LOGNAME=micah
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Juq1Itia9f,guid=0f9b422cd5a25038fb36da310006717a
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/micah
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/micah/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-micah/xauth-1000-_0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/lib64/torcs/torcs-bin

smolt_data:
:
:
:General
:=================================
:UUID: 8f310d34-d60f-4466-8236-47ce9359b3df
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4200.21
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A6-3500 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 3
:CPU Speed: 2100
:System Memory: 5947
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4163:33991) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(4130:5900:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:30738:4163:33991) pci, xhci_hcd, USB, Hudson USB XHCI Controller
:(4130:30738:4163:33991) pci, xhci_hcd, USB, Hudson USB XHCI Controller
:(4130:5893:4163:33992) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4098:5908:4163:33992) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:38474:4163:33992) pci, fglrx_pci, VIDEO, N/A
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(32902:4649:32902:112) pci, e100, ETHERNET, 82557/8/9/0/1 Ethernet Pro 100
:(4130:17312:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17313:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17314:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17315:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:30731:4163:33991) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4163:33991) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30733:4163:33819) pci, snd_hda_intel, MULTIMEDIA, Hudson Azalia Controller
:(4130:30729:4163:33991) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(6945:1554:4163:33975) pci, ahci, STORAGE, N/A
:(4130:30728:4163:33991) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4332:33144:4163:33974) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:(4130:30727:4163:33991) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4163:33991) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:33991) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4358:12548:4358:12548) pci, ehci_hcd, USB, USB 2.0
:(5110:273:5110:273) pci, snd_cmipci, MULTIMEDIA_AUDIO, CMI8738/C3DX PCI Audio Device
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / xfs 4096 4096 217196147 156544086 156544086 868836992 868272395 868272395
:/dev/sdf1 WITHHELD fuseblk 4096 4096 183134975 123923331 123923331 495758860 495727279 495727279
:

var_log_messages:
:Apr  2 08:09:24 kay abrt[7737]: Saved core dump of pid 7687 (/usr/lib64/torcs/torcs-bin) to /var/spool/abrt/ccpp-2012-04-02-08:09:22-7687 (107995136 bytes)
:Apr  2 08:09:58 kay abrt[7790]: Saved core dump of pid 7787 (/usr/lib64/torcs/torcs-bin) to /var/spool/abrt/ccpp-2012-04-02-08:09:56-7787 (111058944 bytes)

xsession_errors:
:/usr/bin/torcs: line 53:  7687 Aborted                 (core dumped) $LIBDIR/torcs-bin -l $LOCAL_CONF -L $LIBDIR -D $DATADIR $*
:/usr/bin/torcs: line 53:  7787 Aborted                 (core dumped) $LIBDIR/torcs-bin -l $LOCAL_CONF -L $LIBDIR -D $DATADIR $*
Comment 1 bugreports 2012-04-02 11:26:12 EDT
Created attachment 574540 [details]
File: dso_list
Comment 2 bugreports 2012-04-02 11:26:13 EDT
Created attachment 574541 [details]
File: maps
Comment 3 bugreports 2012-04-02 11:26:15 EDT
Created attachment 574542 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 10:11:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 11:33:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.